> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch external IDs

> This endpoint allows you to get external IDs of a movie.



## OpenAPI

````yaml get /movie/{{movie_id}}/external_ids
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /movie/{{movie_id}}/external_ids:
    parameters:
      - name: movie_id
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - Movies
      summary: Fetch external IDs
      description: This endpoint allows you to get external IDs of a movie.
      operationId: fetchExternalIds
      parameters:
        - name: language
          in: query
          schema:
            type: string
            example: string
          description: Defaults to en-US
      responses:
        '200':
          description: Fetch external IDs
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Cache-Control:
              schema:
                type: string
                example: public, max-age=24438
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Encoding:
              schema:
                type: string
                example: gzip
            Date:
              schema:
                type: string
                example: Fri, 13 Dec 2024 16:23:58 GMT
            ETag:
              schema:
                type: string
                example: W/"0ea17ef002114fc9a58e5d4c461a371b"
            Server:
              schema:
                type: string
                example: openresty
            Transfer-Encoding:
              schema:
                type: string
                example: chunked
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 23c9ec01b6f4151f654547c0190aeebe.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: _tsSjPsg70G4CdM746e26veXewLuUC-q7hOfGHpxjRDfngxcgISMaQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            x-memc:
              schema:
                type: string
                example: HIT
            x-memc-age:
              schema:
                type: string
                example: '3117'
            x-memc-expires:
              schema:
                type: string
                example: '24438'
            x-memc-key:
              schema:
                type: string
                example: 6023fbd7c4f06cffdccb5690cf1382fd
          content:
            application/json:
              schema:
                type: object
                properties:
                  facebook_id:
                    type: string
                    example: GladiatorMovie
                  id:
                    type: number
                    example: 558449
                  imdb_id:
                    type: string
                    example: tt9218128
                  instagram_id:
                    type: string
                    example: gladiatormovie
                  twitter_id:
                    type: string
                    example: GladiatorMovie
                  wikidata_id:
                    type: string
                    example: Q115789958
              examples:
                Fetch external IDs:
                  value:
                    facebook_id: GladiatorMovie
                    id: 558449
                    imdb_id: tt9218128
                    instagram_id: gladiatormovie
                    twitter_id: GladiatorMovie
                    wikidata_id: Q115789958
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````